Subject: Re: [bitcoin-dev] BIP 2 promotion to Final

From: Mustafa Al-Bassam <[email-masked]>
Date: Thu, 10 Mar 2016 16:33:40 +0000

By the way, on that basis it might be a good idea to introduce an extra
status called "deployed" to indicate when a hard fork has reached a
super-majority and is being used by the economy in practice, but not the
whole economy.

On 10/03/16 16:28, Mustafa Al-Bassam wrote:
>
>
> On 10/03/16 15:59, Jorge Timón wrote:
>>
>>
>> On Mar 10, 2016 16:51, "Mustafa Al-Bassam via bitcoin-dev"
>> <[email-masked]> wrote:
>>
>> > I think in general this sounds like a good definition for a hard-fork
>> > becoming active. But I can envision a situation where someone will try
>> > to be annoying about it and point to one instance of one buyer and one
>> > seller using the blockchain to buy and sell from each other, or set
>> one up.
>>
>> And all the attacker will achieve is preventing a field on a text
>> file on github from moving from "active" to "final".
>> Seems pretty stupid. Why would an attacker care so much about this?
>> Is there any way the attacker can make gains or harm bitcoin with
>> this attack?
>>
> It's extremely naive to think that just because you can't think of an
> incentive for a reason for an attack to do this, an attacker will
> never to do this. There are many people that would be willing to spend
> some time to cause some trouble for the enjoyment of it, if the attack
> is free to execute.
>
> The fact that it takes very little time and effort to prevent a BIP
> from reaching final status, means that in an base of millions of users
> it's guaranteed that some disgruntled or bored person out there will
> attack it, even if it's for the lulz.
>
> To reasonably expect that any hark fork - including an uncontroversial
> one - will be adapted by every single person in a ecosystem of
> millions of people, is wishful thinking and the BIP may as well say
> "hard fork BIPs shall never reach final status."